# BlockTimeInfo | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- BlockTimeInfo

## Index

### Properties

- mainnet
- testnet

## Properties

### mainnet

mainnet: { target_block_time: number }

- Defined in packages/stacking/src/index.ts:57

#### Type declaration

- ##### target_block_time: number

### testnet

testnet: { target_block_time: number }

- Defined in packages/stacking/src/index.ts:60

#### Type declaration

- ##### target_block_time: number

Generated using TypeDoc